import { generateQrCodeCanvas, generateQrCodeCanvas$ } from './canvas';
import { generateQrCodeCanvasElement, generateQrCodeImageElement } from './htmlElements';
export function generateQrCodeImage(data, options = {}, canvas = generateQrCodeCanvasElement(), image = generateQrCodeImageElement()) {
    const dataUrl = generateQrCodeCanvas(data, options, canvas).toDataURL();
    image.setAttribute('src', dataUrl);
    image.setAttribute('alt', options.alt ?? '');
    image.setAttribute('aria-label', options.ariaLabel ?? '');
    image.setAttribute('title', options.title ?? '');
    return { image, dataUrl };
}
export async function generateQrCodeImage$(data, options = {}, canvas = generateQrCodeCanvasElement(), image = generateQrCodeImageElement()) {
    const dataUrl = (await generateQrCodeCanvas$(data, options, canvas)).toDataURL();
    image.setAttribute('src', dataUrl);
    image.setAttribute('alt', options.alt ?? '');
    image.setAttribute('aria-label', options.ariaLabel ?? '');
    image.setAttribute('title', options.title ?? '');
    return { image, dataUrl };
}
//# sourceMappingURL=image.js.map