/**
 * Creates the base matrix for a given version of the QR code. It returns two matrices,
 * one of which is the actual matrix and the other represents the "reserved" portion
 * (e.g., finder and timing patterns) of the matrix.
 *
 * Some entries in the matrix may be undefined, rather than 0 or 1. This is
 * intentional (no initialization needed!), and `fillDataInMatrix` will fill
 * the remaining ones.
 *
 * @param {number} version - The version number of the QR code.
 * @returns {{ matrix: number[][], reserved: number[][] }} The base matrix and the reserved portion matrix.
 */
export declare function createBaseMatrix(version: number): {
    matrix: number[][];
    reserved: number[][];
};
