/**
 * Returns the code words (sans ECC bits) for given data and configurations.
 * Requires data to be preprocessed by `validateData`. No length check is
 * performed, and everything has to be checked before calling this function.
 *
 * @param {number} version - The version number of the QR code.
 * @param {number} mode - The mode of encoding (numeric, alphanumeric, octet).
 * @param {string | number[]} data - The data to encode.
 * @param {number} maxBufferLength - The maximum buffer length.
 * @returns {number[]} The code words for the given data.
 */
export declare function encode(version: number, mode: number, data: string | number[], maxBufferLength: number): number[];
