/**
 * Fills the data portion (i.e., unmarked in reserved) of the matrix with given
 * code words. The size of code words should be no more than available bits,
 * and remaining bits are padded to 0 (cf. JIS X 0510:2004 sec 8.7.3).
 *
 * @param {number[][]} matrix - The matrix to be filled with data.
 * @param {number[][]} reserved - The reserved portion of the matrix.
 * @param {number[]} buffer - The code words to be filled into the matrix.
 * @returns {number[][]} The matrix with data filled in.
 */
export declare function fillDataInMatrix(matrix: number[][], reserved: number[][], buffer: number[]): number[][];
