import { generateMatrixOptions } from '../types';
/**
 * Generates a QR code matrix for the given data and options.
 *
 * @param {string | number} data - The data to be encoded.
 * @param {generateMatrixOptions} options - The options for generating the QR code matrix.
 * @returns {number[][]} The QR code matrix.
 * @throws {string} Throws an error if:
 *
 *                   - The data format is invalid.
 *                   - The ECC level is invalid.
 *                   - The data is too large for the specified version and ECC level.
 *                   - The version is invalid.
 *                   - The mask is invalid.
 */
export declare function generateQrCodeMatrix(data: string | number, options?: generateMatrixOptions): number[][];
