/**
 * Returns the maximum length of data possible in a given configuration.
 *
 * @param {number} ver - The version number of the QR code.
 * @param {number} mode - The encoding mode (numeric, alphanumeric, octet, kanji).
 * @param {number} eccLevel - The error correction level.
 * @returns {number} The maximum length of data possible.
 */
export declare function getMaxDataLength(ver: number, mode: number, eccLevel: number): number;
