/**
 * Gets the number of bits available for data portions (i.e., excludes ECC
 * bits but includes mode and length bits) in a given version and ECC level.
 *
 * @param {number} version - The version number of the QR code.
 * @param {number} eccLevel - The error correction level.
 * @returns {number} The number of bits available for data portions.
 */
export declare function getNumberOfAvailableBitsForData(version: number, eccLevel: number): number;
