/**
 * Returns the number of bits required for the length of data.
 * (cf. Table 3 in JIS X 0510:2004 p. 16)
 *
 * @param {number} ver - The version number of the QR code.
 * @param {number} mode - The encoding mode (numeric, alphanumeric, octet, kanji).
 * @returns {number} The number of bits required for the length of data.
 */
export declare function getNumberOfBitsOfData(ver: number, mode: number): 10 | 12 | 14 | 9 | 11 | 13 | 8 | 16 | -100;
