/**
 * XOR-masks the data portion of the matrix. Repeating the call with the same
 * arguments will revert the prior call (convenient in the matrix evaluation).
 *
 * @param {number[][]} matrix - The matrix whose data portion needs to be masked.
 * @param {number[][]} reserved - The reserved portion of the matrix.
 * @param {number} mask - The mask pattern to be applied.
 * @returns {number[][]} The matrix with masked data portion.
 */
export declare function maskMatrixData(matrix: number[][], reserved: number[][], mask: number): number[][];
